Data Member
annotationTypeStore
StringSet that maps from typeId to the type name of an annotation, e.g. "gene" or "exon". typeId is a member of the AnnotationStoreElement.
Include Headers
seqan/store.h
Remarks
There are predefined type ids for commonly used types, e.g. ANNO_GENE or ANNO_EXON, which can be used to set the typeId directly as a fast alternative to getType and setType.
Member of
FragmentStore
Metafunctions

TAnnotationTypeStore | Type of the annotationTypeStore member.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59